Forum Sketchup Artlantis Archicad
Vous souhaitez réagir à ce message ? Créez un compte en quelques clics ou connectez-vous pour continuer.
Annonces
Bonjour Invité Bienvenue sur le forum biblio3d - le forum a été créé le Sam 19 Jan 2008 - 14:26- Nous avons enregistrés 14755 topics pour un total de : 175026 posts - le record de membres connectés simultanément :555
Galerie


format r.b Empty
Ton bloc notes
Derniers sujets
» [ SKETCHUP plugins ] JHS power bar
par vick Mer 19 Juin 2024 - 22:51

» [ SKETCHUP tutos ] Modéliser à partir d'1 image, d'1 photo
par jerryvento Lun 17 Juin 2024 - 8:38

» [ SKETCHUP généralité ] Modéliser à partir d'1 image, d'1 photo
par jerryvento Lun 17 Juin 2024 - 8:38

» [ SKETCHUP plugins ] plugin fredo 6 - réinstallation des licences
par vick Ven 14 Juin 2024 - 17:31

» [ SKETCHUP généralité ] export-import de scènes
par silic Mer 12 Juin 2024 - 18:18

» [ SKETCHUP plugins ] import nuages de points
par bruno Mar 11 Juin 2024 - 13:08

» [ SKETCHUP plugins ] layout sketchup et VBO LayOut Flattener
par JDD Mer 5 Juin 2024 - 19:42

» [ CHAINE TWITCH ] replay d'un mini live
par tenrev Mar 4 Juin 2024 - 9:35

» [ SKETCHUP Layout ] Texture en rendu vectoriel
par tenrev Mar 4 Juin 2024 - 8:30

» [ SKETCHUP objets ] tiroir cuisine
par JDD Dim 2 Juin 2024 - 10:43

» [ SKETCHUP composants dynamiques ]
par Miroslav Mar 28 Mai 2024 - 15:51

» [ SKETCHUP composants dynamiques ] Masquer valeur attribut
par Manutio Mar 21 Mai 2024 - 14:02

» [ TWINMOTION ] CONSEIL FORMATION
par tenrev Mar 21 Mai 2024 - 10:17

» [ AUTRES LOGICIELS ] LOGICIEL OFFERT
par jerryvento Ven 17 Mai 2024 - 8:36

» [ LUMION ] 2024 - Importation FBX
par Shakna Jeu 16 Mai 2024 - 10:00

» [ SKETCHUP tutos ] dessiner un dodécaèdre sans plugins
par tenrev Mer 15 Mai 2024 - 14:22

» [ SKETCHUP plugins ] Plugin SOLID INSPECTOR - Nested Instances - Demande de clarification
par tenrev Mer 15 Mai 2024 - 14:13

» [ LUMION ] 2024 - Importation FBX
par Shakna Mer 15 Mai 2024 - 12:16

» [ LUMION ] Lumion 2024
par Shakna Mer 15 Mai 2024 - 11:21

» [ TWINMOTION ] Appliquer un decal avec les outils spacing et area de Twinmotion 2024
par Gaspard Hauser Mar 14 Mai 2024 - 23:12

» [ TWINMOTION ] Nouvelle verion 2024
par Gaspard Hauser Mer 8 Mai 2024 - 10:27

» [ CHAINE TWITCH ] Pas simple de se faire un public
par tenrev Mar 7 Mai 2024 - 19:46

» [ INTELLIGENCE ARTIFICIELLE ] quelques video IA
par tenrev Mar 7 Mai 2024 - 9:47

» [ CHAINE TWITCH ] les replay de mes live sur Twitch
par tenrev Mar 7 Mai 2024 - 9:22

» [ SKETCHUP généralité ] Interpolation progressive entre deux formes le long d'un tracé
par JDD Lun 6 Mai 2024 - 15:19

» [ ARCHICAD ] Création de lucarne en 3D
par VertiKal Lun 6 Mai 2024 - 14:17

» [ SKETCHUP composants dynamiques ]
par simjoubert Lun 6 Mai 2024 - 10:39

» [ SKETCHUP plugins ]
par TIQUETM Dim 5 Mai 2024 - 19:39

» [ ARCHICAD ] raccourci clavier
par Taz Jeu 2 Mai 2024 - 16:04

» [ SKETCHUP Layout ] Layout 2024 probléme de Style
par tenrev Jeu 2 Mai 2024 - 11:58

» [ MATOS INFORM. ] LICENCES ARCHICAD
par yannickniort Mar 30 Avr 2024 - 8:29

» [ SKETCHUP plugins ] Universal Importer
par Samuel Tallet Lun 29 Avr 2024 - 19:18

» [ CHAINE TWITCH ] c'est reparti - pour quelques live
par tenrev Lun 29 Avr 2024 - 14:49

» [ SKETCHUP objets ]
par vick Mar 23 Avr 2024 - 20:52

» [ SKETCHUP vray ]
par furax49 Mar 23 Avr 2024 - 19:52

Sondage

Chaine Twitch

format r.b Poll_c1029%format r.b Poll_c10 29% [ 11 ]
format r.b Poll_c1011%format r.b Poll_c10 11% [ 4 ]
format r.b Poll_c103%format r.b Poll_c10 3% [ 1 ]
format r.b Poll_c108%format r.b Poll_c10 8% [ 3 ]
format r.b Poll_c108%format r.b Poll_c10 8% [ 3 ]
format r.b Poll_c108%format r.b Poll_c10 8% [ 3 ]
format r.b Poll_c1029%format r.b Poll_c10 29% [ 11 ]
format r.b Poll_c105%format r.b Poll_c10 5% [ 2 ]

Total des votes : 38

chaine sketchup.tv
Serveur Discord

format r.b

Voir le sujet précédent Voir le sujet suivant Aller en bas

william bilcot
william bilcot
Loquace
Loquace
Masculin Date d'inscription : 14/10/2009
Nombre de messages : 53
Points : 81
Age : 47
Localisation : bretagne
Emploi : charpentier

Messagewilliam bilcot Dim 26 Sep 2010 - 20:47

salut a tout le monde.

je cherche un programme pour lire un scrip r.b.
pour installer un plugin sketchup.

merci.

#-----------------------------------------------------------------------------
# polar_zonohedron v 1.0
# Copyright 2010, Rob Bell
# author: Rob Bell
#
# Permission to use, copy, modify, and distribute this software for
# any purpose and without fee is hereby granted, provided the above
# copyright notice appear in all copies
#
# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#-----------------------------------------------------------------------------


require "sketchup.rb"

include Math

def polar_zonohedron #frequency, pitch = atan(sqrt(2)/2), len = 1.0 # frequency,pitch,length


mo = Sketchup.active_model
mo.start_operation $exStrings.GetString("polar_zonohedron")


prompts = [$exStrings.GetString("Frequency"), $exStrings.GetString("Pitch in radians"), $exStrings.GetString("Length")]
values = [8, "atan( sqrt(2)/2 )", 12.inch]
results = inputbox prompts, values, $exStrings.GetString("Polar Zonohedron")

return if not results # This means that the user canceld the operation

frequency = results[0]
pitch = eval( results[1] )
len = results[2]


ents = mo.active_entities
grp = ents.add_group
ents = grp.entities

pts=[]

#we begin by setting pts[0] to the origin
pts[0] = Geom::Point3d.new(0,0,0)

vector = Geom::Vector3d.new(cos(pitch),0,sin(pitch) ) #tilt pitch vector up the xz plane
vector.length = len

#Using the origin as the initial generator we iterate thru each zone of the zonohedron
#our first task is to define the four points of the base rhomb for this zone
#at the end the pts[3] becomes our new origin for the rhomb of the next zone
1.upto(frequency-1){ |i|
p_rotate = Geom::Transformation.rotation( pts[0] , Geom::Vector3d.new(0,0,1), i*2*PI/frequency )

#obtain the other three points of the rhomb face
pts[1] = pts[0].transform vector
pts[3] = pts[1].transform( p_rotate )
pts[2] = pts[3].transform( vector )

#we now have the 4 points which make this zone's base rhomb
#so we rotate around the origin frequency times making a star pattern of faces
0.upto(frequency-1){ |j|
f_rotate = Geom::Transformation.rotation( Geom::Point3d.new(0,0,0) , Geom::Vector3d.new(0,0,1), j*2*PI/frequency )
ents.add_face( pts.collect{|p| p.transform(f_rotate)} )
}

#set the origin for the rhomb of the next zone
pts[0] = pts[3]

}
mo.commit_operation
end




if( not file_loaded?("polar_zonohedron.rb") )
add_separator_to_menu("Plugins")
UI.menu("Plugins").add_item($exStrings.GetString("Polar Zonohedron")) { polar_zonohedron }
end
#-----------------------------------------------------------------------------
file_loaded("polar_zonohedron.rb")


tenrev
tenrev
FONDATEUR DE BIBLIO3D
FONDATEUR DE BIBLIO3D
Masculin Humeur : excellente comme toujours
Date d'inscription : 19/01/2008
Nombre de messages : 19823
Points : 34540
Age : 61
Localisation : Dans la quatrieme dimension
Emploi : archi d'intérieur salarié
https://www.biblio3d.com

Messagetenrev Dim 26 Sep 2010 - 21:17

tu n'as pas besoin de programme spécifique il faut juste mettre ton fichier rb dans le répertoire plugin de sketchup et lors du démarrage de SU le plugin sera chargé en mémoire et sera utilisable aurevoir

mais j'ai peut être dit une connerie et pas bien compris ta question fou

-------------------------------------------------------------------------------------------------------------------------
je ne sais pas grand chose , mais le peu que je sache , je le partage/Salut Invité merci de consulter mon profil/PC fixe Rizen 9 3950 cg RTX3080-64 go de ram DDssd 1To/1 PC portable Lenovo  16'' w11 i7 32go-CG  RTX3070 8go/1casque meta Quest 3/1 casque VR Occulus Rift /1 PC portable Dell sous Linux Ubuntu-1 pc portable HP sous chromebook/Raspberry Pi - Arduino /  Modélisation :Sketchup-Rhino-Pconplanner-Rendu:Enscape-Keyshot-Unreal Engine-Twinmotion-Autres:Photoshop-Indesign-After Effect-Première pro-Intelligence artificielle -Chatgpt+-Midjourney-Suno-Elevenlabs-Canva
format r.b 575088biblio3d
ploum
ploum
V.I.P.
V.I.P.
Masculin Humeur : une autre question ?
Date d'inscription : 25/10/2009
Nombre de messages : 1142
Points : 1288
Age : 63
Localisation : Saint André de Cruzières, Ardèche
Emploi : menuisier, bijoux, gratte, etc.
http://g.fevre.free.fr

Messageploum Dim 26 Sep 2010 - 21:44

juste : .rb
pas r.b.
:icon_wink:

-------------------------------------------------------------------------------------------------------------------------
" heureux les fêlés car ils laissent passer la lumière "
format r.b Blende10
william bilcot
william bilcot
Loquace
Loquace
Masculin Date d'inscription : 14/10/2009
Nombre de messages : 53
Points : 81
Age : 47
Localisation : bretagne
Emploi : charpentier

Messagewilliam bilcot Mar 28 Sep 2010 - 21:20

bonsoir.

j'ai essayé de copier et coller le plungin, mais il ne veut pas ce coller dans le fichier plugin sketchup.
c'est pour cela que je vous demandé s'il fallait transformer le rb que j'ai mis sur mon premier message en ?????
aurevoir
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 62
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Mar 28 Sep 2010 - 21:44

Salut William,

tu le télécharges ici => http://www.box.net/shared/r6y50ex1tn
tu cliques sur "Enregister" et tu l'enregistres dans le répertoire Plugins de Sketchup (Généralement => C:\Program Files\Google\Google SketchUp 7\Plugins) et tu redémarres Sketchup

@+

Christophe
Fab
Fab
modérateur
modérateur
Masculin Humeur : Rester COOL......
Date d'inscription : 03/10/2008
Nombre de messages : 4823
Points : 5411
Age : 57
Localisation : Normandie
Emploi : Dessinateur en bâtiment et génie civil
https://www.pinterest.fr/lignesvintage/_saved/

MessageFab Mer 29 Sep 2010 - 8:06

Salut William, j'aime beaucoup ton avatar cela me rappelle quand je relevais des charpentes dans de veilles longères.... aurevoir

-------------------------------------------------------------------------------------------------------------------------
Dites-vous bien que dans la vie, ne pas reconnaître son talent, c'est favoriser la réussite des médiocres.  p-clin  
Autocad | Photoshop | Sketchup pro |
Contenu sponsorisé

MessageContenu sponsorisé

Voir le sujet précédent Voir le sujet suivant Revenir en haut

Créer un compte ou se connecter pour répondre

Vous devez être membre pour répondre.

S'enregistrer

Rejoignez notre communauté ! C'est facile !


S'enregistrer

Connexion

Vous êtes déjà membre ? Aucun soucis, cliquez ici pour vous connecter.


Connexion

 
Permission de ce forum:
Vous ne pouvez pas répondre aux sujets dans ce forum